summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD10
2 files changed, 6 insertions, 6 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 8407303f514..dbd2d404c85 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = londonlaw-git
pkgdesc = Clone of the famous Scotland Yard board game with network support.
pkgver = 0.3.0_pre2.r1.g35d419f
- pkgrel = 3
+ pkgrel = 4
url = https://github.com/anyc/londonlaw
changelog = .CHANGELOG
arch = any
diff --git a/PKGBUILD b/PKGBUILD
index 4f933225d51..3cb41d020b6 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,7 +4,7 @@
pkgname=londonlaw-git
_pkgname=${pkgname%-git}
pkgver=0.3.0_pre2.r1.g35d419f
-pkgrel=3
+pkgrel=4
pkgdesc="Clone of the famous Scotland Yard board game with network support."
arch=('any')
url="https://github.com/anyc/londonlaw"
@@ -21,17 +21,17 @@ sha512sums=('SKIP'
pkgver()
{
- cd "${srcdir}/${_pkgname}"
+ cd "${srcdir}/${_pkgname}" || exit
git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
}
package()
{
- cd "${srcdir}"
+ cd "${srcdir}" || exit
install -Dm644 "${_pkgname}.desktop" "${pkgdir}/usr/share/applications/${_pkgname}.desktop"
- cd "${_pkgname}"
- python2 setup.py install --root=${pkgdir} --prefix=/usr --optimize=1
+ cd "${_pkgname}" || exit
+ python2 setup.py install --root="${pkgdir}" --prefix=/usr --optimize=1
# https://lists.archlinux.org/pipermail/aur-general/2011-November/016777.html
mkdir -p "${pkgdir}/usr/share/doc/${_pkgname}"